<p>array2 works!</p>
<div *ngFor="let person of DataSet">
    {{ person.Id }}
    {{ person.FirstName }}
    {{ person.LastName }}
    {{ person.Email }}
    {{ person.ContactNo }}</div>

    <div *ngFor="let person of DataSet1">
        {{ person.Id }}
        {{ person.FirstName }}
        {{ person.LastName }}
        {{ person.Email }}
        {{ person.ContactNo }}</div>
        


        <ul>
    <li   *ngFor=" let i of arr2">{{i}}</li>
        </ul>